org.deidentifier.arx.test

## Class TestUtilityMetricsPrecomputation

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.AbstractTestUtilityMetricsPrecomputation
    - - org.deidentifier.arx.test.TestUtilityMetricsPrecomputation

    public class TestUtilityMetricsPrecomputation
    extends AbstractTestUtilityMetricsPrecomputation

Test for utility transformations.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTestUtilityMetricsPrecomputation

`AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase`

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestUtilityMetricsPrecomputation(AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase testCase)` Creates a new instance.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Collection<java.lang.Object[]>` `cases()` Returns the test cases

### Methods inherited from class org.deidentifier.arx.test.AbstractTestUtilityMetricsPrecomputation

`getDataObject, setUp, test`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestUtilityMetricsPrecomputation

    public TestUtilityMetricsPrecomputation(AbstractTestUtilityMetricsPrecomputation.ARXUtilityMetricsTestCase testCase)

Creates a new instance.

Parameters:
  `testCase` -

### Method Detail

#### cases

    public static java.util.Collection<java.lang.Object[]> cases()
                                                          throws java.io.IOException

Returns the test cases

Returns:
Throws:
  `java.io.IOException`